# Uses of Class
ch.qos.logback.core.net.ssl.KeyStoreFactoryBean

Packages that use KeyStoreFactoryBean
Package
Description
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of KeyStoreFactoryBean in ch.qos.logback.core.net.ssl

Methods in ch.qos.logback.core.net.ssl that return KeyStoreFactoryBean
Modifier and Type
Method
Description
`KeyStoreFactoryBean`
SSLContextFactoryBean.`getKeyStore()`
Gets the key store configuration.
`KeyStoreFactoryBean`
SSLContextFactoryBean.`getTrustStore()`
Gets the trust store configuration.
Methods in ch.qos.logback.core.net.ssl with parameters of type KeyStoreFactoryBean
Modifier and Type
Method
Description
`void`
SSLContextFactoryBean.`setKeyStore(KeyStoreFactoryBean keyStore)`
Sets the key store configuration.
`void`
SSLContextFactoryBean.`setTrustStore(KeyStoreFactoryBean trustStore)`
Sets the trust store configuration.